Name:          maven-anno-mojo
Version:       1.4.0
Release:       %mkrel 1
Summary:       Maven Annotated Mojo
Group:         Development/Java
License:       ASL 2.0
Url:           http://wiki.jfrog.org/confluence/display/OSS/Maven+Anno+Mojo
Source0:       http://sourceforge.net/projects/mvn-anno-mojo/files/mvn-anno-mojo/1.4/mvn-anno-mojo-1.4.0.zip

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-cobertura
BuildRequires: maven-plugin-jxr
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-site-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-report-plugin

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Maven2 maven-plugin-plugin extension that allows writing annotated Mojos using JDK 1.5 annotations
instead of doclet comments.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -c

mv org/jfrog/maven/annomojo/* .
rm -r org
mkdir -p maven-plugin-anno/src/main/java
(
  cd maven-plugin-anno/%{version}/
  jar -xf maven-plugin-anno-%{version}-sources.jar
  mv org ../src/main/java
  mv pom.xml ../
)
rm -rf maven-plugin-anno/%{version}
mkdir -p maven-plugin-tools-anno/src/main/java
(
  cd maven-plugin-tools-anno/%{version}/
  jar -xf maven-plugin-tools-anno-%{version}-sources.jar
  mv org ../src/main/java
  mv pom.xml ../
  jar -xf maven-plugin-tools-anno-%{version}.jar
  mkdir -p ../target/classes/META-INF
  mv META-INF/plexus ../target/classes/META-INF
)
rm -rf maven-plugin-tools-anno/%{version}
mv maven-plugin-anno-parent/%{version}/maven-plugin-anno-parent-%{version}.pom pom.xml

%build

mvn-rpmbuild -e \
  install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

# JAR
mkdir -p %{buildroot}%{_javadir}
install -pm 644 maven-plugin-anno/target/maven-plugin-anno-%{version}.jar %{buildroot}%{_javadir}/maven-plugin-anno.jar
install -pm 644 maven-plugin-tools-anno/target/maven-plugin-tools-anno-%{version}.jar %{buildroot}%{_javadir}/maven-plugin-tools-anno.jar

# POM
mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-maven-plugin-anno-parent.pom
%add_maven_depmap JPP-maven-plugin-anno-parent.pom
install -pm 644 maven-plugin-anno/pom.xml %{buildroot}%{_mavenpomdir}/JPP-maven-plugin-anno.pom
%add_maven_depmap JPP-maven-plugin-anno.pom maven-plugin-anno.jar
install -pm 644 maven-plugin-tools-anno/pom.xml %{buildroot}%{_mavenpomdir}/JPP-maven-plugin-tools-anno.pom
%add_maven_depmap JPP-maven-plugin-tools-anno.pom maven-plugin-tools-anno.jar

# APIDOCS
mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/maven-plugin-anno.jar
%{_javadir}/maven-plugin-tools-anno.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sat Nov 05 2011 gil <gil> 1.4.0-1.mga2
+ Revision: 163885
- imported package maven-anno-mojo

